+++
title = "Резюме"
+++
10 лет: первая книжка по программированию на Visual Basic. Первая графическая угадайка и огонь в глазах от рабочей программы с ползнуком загрузки.

12-16 лет: после появления диска по сталкером появилось и желание расколупать его исходники и сделать весёлые штуки на потеху себе и друзьям-одноклассникам.
Так в нём появилась портальная пушка, гравитационная граната, полёты на военном вертолёте и собственные карты для мультиплеера.

![stalker1](mmap1.jpg)

![stalker2](mmap2.jpg)

![stalker3](otf.jpg)

14-18 лет: Майнкрафт, электроцепи на двоичной логике из красного камня, C418 на фоне. 
Из большого родился 6-разрядный калькулятор со сложением и вычитанием вплоть до отрицательных чисел.

![calc](calc.jpg)

![calc1](calc1.jpg)

14-20 лет: участие в различных олимпиадах по программированию/CTF: УрКОП, ICPC, QCTF. 
Без выдающихся результатов (но бесплатные пиццы того стоили).

17-18 лет: поступление в Уральский федеральный университет на информационную безопасность. 
Активное изучение Python и использование его во многих местах: от курсовых до первых фрилансерских задач.
Осознание неверности выбранного направления после первого курса: 
перекладывание бумажек и расчёты цепей не могли совмещаться с активной программистской деятельностью. 
Перевод на компьютерную безопасность. 

21 год: очередное осознание неверности выбранного направления, уход из университета на 5 курсе, полное погружение в работу.

22 года: в 2020 открыл для себя Rust и решил перекатываться на него, как на самый идеальный для меня язык.

За время обучения в университете и самоучества наработал себе неплохой фундамент: 
алгоритмы, структуры данных, О-нотация, сети на уровне CCNA, дискретка, криптография, опыт работы на нескольких языках программирования/разметки/etc:
Python, Java, Javascript, MySQL, HTML, CSS, C, TASM.

За время работы на разные компании профессионально развивался в сфере бэкенд-разработки изначально на Python, впоследствии (и сейчас) на Rust. 

## Salary transparency
- kwork.ru
Время работы: Апрель 2017 — Январь 2018  
Должность: Junior python programmer  
Обязанности: Фриланс на kwork.ru  
З/п: 500-15000 ₽ / проект

- Точка  
Время работы: Июнь 2018 — Сентябрь 2018  
Должность: Junior python programmer  
Обязанности: Разработка автотестов для мобильного приложения банка с использованием python и appium  
З/п: 23000 ₽

- Крона-КС  
Время работы: Июнь 2019 — Сентябрь 2019  
Должность: Программист Python  
Обязанности: Разработка SAAS-сервиса Retailiqa, рефакторинг кода на Python (django, mongo) и Javascript  
З/п: 30000 ₽

- Инанго-СВ  
Время работы: Сентябрь 2019 — Декабрь 2019  
Должность: Программист С  
Обязанности: Разработка и рефакторинг прошивок для Intel Puma 6/7 на языке Си/С++  
З/п: 35000 ₽

- Cloudlinux  
Время работы: Май 2020 — Июнь 2021  
Должность: Программист Python  
Обязанности: Разработка клиентской части антивируса Imunify360 и различных внутренних инструментов на Python. Покрытие кода юнит-, функциональными и интеграционными тестами. Написание плейбуков для Ansible.  
З/п: $1000

- Waves.Exchange  
Время работы: Август 2021 — Май 2023  
Должность: Rust-программист  
Обязанности: Разработка, поддержка, рефакторинг микросервисов бэкенда биржи waves.exchange на языке Rust.
Переписывание легаси-кода с Typescript, Scala и Go на Rust.
Проектирование архитектуры и создание новых микросервисов как в одиночку, так и в команде.
Документирование и покрытие кода тестами.
Проведение код-ревью коллег.
Создание внешних опенсурс-библиотек для разделяемого использования в конечных сервисах и других отделах компании.
Исследование и участие в обсуждении новых фич для оптимизации кода.
Участие в расследовании инцидентов на продакшене.  
З/п: $2000

- Сбербанк-Технологии  
Время работы: 11 июля 2023 - н.в.  
Должность: Rust-программист  
Обязанности: Разработка личного кабинета для клиентов Platform V.  
З/п: :)
